<template>
    <div>
        <athletes-general-list title="Загальний список" :athletes-list-data="athleteDataList" @select="onSelect" />
        <athletes-general-list title="Список обраних" :athletes-list-data="selectedAthletesList" is-selected-list
            @deselect="onDeselect" />
    </div>
</template>

<script>

import athletesGeneralList from '@/components/athletesGeneralList.vue';
export default {
    name: 'athletesManager',
    components: {
        athletesGeneralList,
    },

    data() {
        return {
            athleteDataList: [
                {
                    id: 1,
                    title: "Aritz Tivoli"
                },

                {
                    id: 2,
                    title: "Chipiliro Čermák"
                },

                {
                    id: 3,
                    title: "Chrysa Salvador"
                },

                {
                    id: 4,
                    title: "Marduk Harris"
                },

                {
                    id: 5,
                    title: "Liam Okabe"
                },

                {
                    id: 6,
                    title: "Dorji Čížek"
                },

                {
                    id: 7,
                    title: "Lilija Barre"
                },

                {
                    id: 8,
                    title: "Romy Berg"
                },
            ],
            selectedAthletesList: [],
        }
    },

    methods: {
        onSelect(athleteId) {
            const cardData = this.athleteDataList.find(
                (item) => item.id === athleteId
            )
            this.selectedAthletesList.push(cardData)
            this.athleteDataList = this.athleteDataList.filter(
                (item) => item.id !== athleteId
            )
        },
        onDeselect(athleteId) {
            const cardData = this.selectedAthletesList.find(
                (item) => item.id === athleteId
            )
            this.athleteDataList.push(cardData)
            this.selectedAthletesList = this.selectedAthletesList.filter(
                (item) => item.id !== athleteId
            )
        },
    },
}
</script>

<style lang="scss" scoped></style>